Bug 503973 - Tests fail when building for EPEL
Tests fail when building for EPEL
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: classads (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Farrellee
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-03 11:38 EDT by Adam Huffman
Modified: 2009-10-09 06:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-09 06:54:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Huffman 2009-06-03 11:38:25 EDT
Description of problem:
have just tried rebuilding condor/classads for EPEL5 on an F10 box.

Classads fails at the functional testing stage:

make  check-TESTS
make[1]: Entering directory `/builddir/build/BUILD/classads-1.0.1'
ClassAd Functional Tester v1.0.1
Testing basic math...
Testing extreme numbers...
Testing basic attributes in a ClassAd...
Testing XML...
Testing select on lists...
Testing subscripts
Testing multiple semicolons...
Testing functions...
* Line 119: the expressions are different.
* Line 122: the expressions are different.
* Line 127: the expressions are different.
* Line 182: the expressions are different.
* Line 192: the expressions are different.
5 errors
FAIL: classad_functional_tester_s
ClassAd Functional Tester v1.0.1
Testing basic math...
Testing extreme numbers...
Testing basic attributes in a ClassAd...
Testing XML...
Testing select on lists...
Testing subscripts
Testing multiple semicolons...
Testing functions...
* Line 119: the expressions are different.
* Line 122: the expressions are different.
* Line 127: the expressions are different.
* Line 182: the expressions are different.
* Line 192: the expressions are different.
5 errors
FAIL: classad_functional_tester_ns_s


Also, there's a newer version available:

http://www.cs.wisc.edu/condor/classad/



Version-Release number of selected component (if applicable):
classads-1.0.1-1.fc10.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Adam Huffman 2009-10-06 08:41:01 EDT
Have had a response from the Condor team and they asked me to try classads 1.0.4, from a tarball.  The test suite passed with that version.

I'll try to adapt your .spec for the new version but perhaps you might consider a rebuild?
Comment 2 Matthew Farrellee 2009-10-08 23:13:10 EDT
Who did you talk to? classads 1.0.4 was never released, not posted to the ftp site:

http://www.cs.wisc.edu/condor/classad/

I've built classads-1.0.4 for F10,F11,F12,devel
Comment 3 Adam Huffman 2009-10-09 05:22:47 EDT
I just contacted the condor-admin@... address and someone put 1.0.4 up on his personal web space for me to test.
Comment 4 Matthew Farrellee 2009-10-09 06:54:27 EDT
Hopefully 1.0.4 will work for you on EPEL.

Note You need to log in before you can comment on or make changes to this bug.